smbios_mem64error_t Struct Reference
Public interface » ID macros » SMBIOS structures

64-bit memory error information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
hd_id_t | err_type
| error type memory
hd_id_t | granularity
| memory array or memory partition
hd_id_t | operation
| mem operation causing the error
unsigned | syndrome
| vendor-specific ECC syndrome; 0: unknown
uint64_t | array_addr
| fault address rel.
uint64_t | device_addr
| fault address rel to mem device; 0x80000000: unknown
unsigned | range
| range, within which the error can be determined; 0x80000000: unknown

## Detailed Description

64-bit memory error information

The documentation for this struct was generated from the following file:

- hd.h